- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Class List
- Class Hierarchy
- Class Members

# sbuild::parse_error< T > Class Template Reference

Parse error. More...

`#include <sbuild-parse-error.h>`

Inheritance diagram for sbuild::parse_error< T >:

[legend]
Collaboration diagram for sbuild::parse_error< T >:

[legend]
List of all members.

## Public Types
typedef error< T >::error_type | error_type
| The enum type providing the error codes for this type.
## Public Member Functions
template<typename C>
| parse_error (C const &context, error_type error)
| The constructor.
template<typename D>
| parse_error (error_type error, D const &detail)
| The constructor.
template<typename D>
| parse_error (size_t line, error_type error, D const &detail)
| The constructor.
template<typename D>
| parse_error (size_t line, std::string const &group, error_type error, D const &detail)
| The constructor.
template<typename D>
| parse_error (size_t line, std::string const &group, std::string const &key, error_type error, D const &detail)
| The constructor.
template<typename D>
| parse_error (std::string const &group, error_type error, D const &detail)
| The constructor.
template<typename D>
| parse_error (std::string const &group, std::string const &key, error_type error, D const &detail)
| The constructor.
template<typename C>
| parse_error (C const &context, std::runtime_error const &error)
| The constructor.
| parse_error (size_t line, std::runtime_error const &error)
| The constructor.
| parse_error (size_t line, std::string const &group, std::runtime_error const &error)
| The constructor.
| parse_error (size_t line, std::string const &group, std::string const &key, std::runtime_error const &error)
| The constructor.
| parse_error (std::string const &group, std::runtime_error const &error)
| The constructor.
| parse_error (std::string const &group, std::string const &key, std::runtime_error const &error)
| The constructor.

## Detailed Description

### template<typename T>
class sbuild::parse_error< T >

Parse error.

## Member Typedef Documentation

template<typename T>

typedef error<T>::error_type sbuild::parse_error< T >::error_type

The enum type providing the error codes for this type.

Reimplemented from sbuild::error< T >.

## Constructor & Destructor Documentation

template<typename T>
template<typename C>

sbuild::parse_error< T >::parse_error | ( | C const & | context,
|  | error_type | error |
| ) |  |  | `[inline]`

The constructor.

Parameters:

  | context | the context of the error.
  | error | the error code.

template<typename T>
template<typename D>

sbuild::parse_error< T >::parse_error | ( | error_type | error,
|  | D const & | detail |
| ) |  |  | `[inline]`

The constructor.

Parameters:

  | error | the error code.
  | detail | the details of the error.

template<typename T>
template<typename D>

sbuild::parse_error< T >::parse_error | ( | size_t | line,
|  | error_type | error,
|  | D const & | detail |
| ) |  |  | `[inline]`

The constructor.

Parameters:

  | line | the line the error occurred on.
  | error | the error code.
  | detail | the details of the error.

template<typename T>
template<typename D>

sbuild::parse_error< T >::parse_error | ( | size_t | line,
|  | std::string const & | group,
|  | error_type | error,
|  | D const & | detail |
| ) |  |  | `[inline]`

The constructor.

Parameters:

  | line | the line the error occurred on.
  | group | the group the error occurred within.
  | error | the error code.
  | detail | the details of the error.

template<typename T>
template<typename D>

sbuild::parse_error< T >::parse_error | ( | size_t | line,
|  | std::string const & | group,
|  | std::string const & | key,
|  | error_type | error,
|  | D const & | detail |
| ) |  |  | `[inline]`

The constructor.

Parameters:

  | line | the line the error occurred on.
  | group | the group the error occurred within.
  | key | the key the error occurred within.
  | error | the error code.
  | detail | the details of the error.

template<typename T>
template<typename D>

sbuild::parse_error< T >::parse_error | ( | std::string const & | group,
|  | error_type | error,
|  | D const & | detail |
| ) |  |  | `[inline]`

The constructor.

Parameters:

  | group | the group the error occurred within.
  | error | the error code.
  | detail | the details of the error.

template<typename T>
template<typename D>

sbuild::parse_error< T >::parse_error | ( | std::string const & | group,
|  | std::string const & | key,
|  | error_type | error,
|  | D const & | detail |
| ) |  |  | `[inline]`

The constructor.

Parameters:

  | group | the group the error occurred within.
  | key | the key the error occurred within.
  | error | the error code.
  | detail | the details of the error.

template<typename T>
template<typename C>

sbuild::parse_error< T >::parse_error | ( | C const & | context,
|  | std::runtime_error const & | error |
| ) |  |  | `[inline]`

The constructor.

Parameters:

  | context | the context of the error.
  | error | the error.

template<typename T>

sbuild::parse_error< T >::parse_error | ( | size_t | line,
|  | std::runtime_error const & | error |
| ) |  |  | `[inline]`

The constructor.

Parameters:

  | line | the line the error occurred on.
  | error | the error.

template<typename T>

sbuild::parse_error< T >::parse_error | ( | size_t | line,
|  | std::string const & | group,
|  | std::runtime_error const & | error |
| ) |  |  | `[inline]`

The constructor.

Parameters:

  | line | the line the error occurred on.
  | group | the group the error occurred within.
  | error | the error.

template<typename T>

sbuild::parse_error< T >::parse_error | ( | size_t | line,
|  | std::string const & | group,
|  | std::string const & | key,
|  | std::runtime_error const & | error |
| ) |  |  | `[inline]`

The constructor.

Parameters:

  | line | the line the error occurred on.
  | group | the group the error occurred within.
  | key | the key the error occurred within.
  | error | the error.

template<typename T>

sbuild::parse_error< T >::parse_error | ( | std::string const & | group,
|  | std::runtime_error const & | error |
| ) |  |  | `[inline]`

The constructor.

Parameters:

  | group | the group the error occurred within.
  | error | the error.

template<typename T>

sbuild::parse_error< T >::parse_error | ( | std::string const & | group,
|  | std::string const & | key,
|  | std::runtime_error const & | error |
| ) |  |  | `[inline]`

The constructor.

Parameters:

  | group | the group the error occurred within.
  | key | the key the error occurred within.
  | error | the error.

The documentation for this class was generated from the following file:

- sbuild/sbuild-parse-error.h